Skip to main content
GET
/
universe
/
connectors
List public Membrane connectors
curl --request GET \
  --url https://api.getmembrane.com/universe/connectors \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "<string>",
      "key": "<string>",
      "uuid": "<string>",
      "name": "<string>",
      "logoUri": "<string>",
      "baseUri": "<string>",
      "version": "<string>",
      "externalAppId": "<string>",
      "categories": [
        "<string>"
      ],
      "isPublic": true,
      "popularity": 123,
      "tenantId": "<string>",
      "archivedAt": "<string>",
      "revision": "<string>",
      "dataCollectionsCount": 123,
      "operationsCount": 123,
      "eventsCount": 123,
      "udms": [
        "<string>"
      ],
      "hasTest": true,
      "hasAuthTest": true,
      "hasOperations": true,
      "hasData": true,
      "isReadOnly": true,
      "credentialsSchema": {
        "type": "<string>",
        "title": "<string>",
        "description": "<string>",
        "format": "<string>",
        "properties": {},
        "items": "<unknown>",
        "additionalProperties": true,
        "enum": [
          "<string>"
        ],
        "referenceRecords": [
          {}
        ],
        "referenceCollection": {
          "key": {},
          "parameters": {}
        },
        "referenceUdm": "<string>",
        "default": {},
        "allowCustom": true,
        "required": [
          "<string>"
        ],
        "minLength": 123,
        "maxLength": 123,
        "minimum": 123,
        "maximum": 123,
        "maxItems": 123,
        "readOnly": true,
        "writeOnly": true,
        "examples": [
          {}
        ],
        "anyOf": "<array>",
        "isImplied": true,
        "isSensitive": true,
        "referenceCollectionPath": "<string>",
        "referenceCollectionUri": "<string>"
      },
      "type": "integration-app-token",
      "customCredentialsSchema": {
        "type": "<string>",
        "title": "<string>",
        "description": "<string>",
        "format": "<string>",
        "properties": {},
        "items": "<unknown>",
        "additionalProperties": true,
        "enum": [
          "<string>"
        ],
        "referenceRecords": [
          {}
        ],
        "referenceCollection": {
          "key": {},
          "parameters": {}
        },
        "referenceUdm": "<string>",
        "default": {},
        "allowCustom": true,
        "required": [
          "<string>"
        ],
        "minLength": 123,
        "maxLength": 123,
        "minimum": 123,
        "maximum": 123,
        "maxItems": 123,
        "readOnly": true,
        "writeOnly": true,
        "examples": [
          {}
        ],
        "anyOf": "<array>",
        "isImplied": true,
        "isSensitive": true,
        "referenceCollectionPath": "<string>",
        "referenceCollectionUri": "<string>"
      },
      "inputSchema": {
        "type": "<string>",
        "title": "<string>",
        "description": "<string>",
        "format": "<string>",
        "properties": {},
        "items": "<unknown>",
        "additionalProperties": true,
        "enum": [
          "<string>"
        ],
        "referenceRecords": [
          {}
        ],
        "referenceCollection": {
          "key": {},
          "parameters": {}
        },
        "referenceUdm": "<string>",
        "default": {},
        "allowCustom": true,
        "required": [
          "<string>"
        ],
        "minLength": 123,
        "maxLength": 123,
        "minimum": 123,
        "maximum": 123,
        "maxItems": 123,
        "readOnly": true,
        "writeOnly": true,
        "examples": [
          {}
        ],
        "anyOf": "<array>",
        "isImplied": true,
        "isSensitive": true,
        "referenceCollectionPath": "<string>",
        "referenceCollectionUri": "<string>"
      },
      "parametersSchema": {
        "type": "<string>",
        "title": "<string>",
        "description": "<string>",
        "format": "<string>",
        "properties": {},
        "items": "<unknown>",
        "additionalProperties": true,
        "enum": [
          "<string>"
        ],
        "referenceRecords": [
          {}
        ],
        "referenceCollection": {
          "key": {},
          "parameters": {}
        },
        "referenceUdm": "<string>",
        "default": {},
        "allowCustom": true,
        "required": [
          "<string>"
        ],
        "minLength": 123,
        "maxLength": 123,
        "minimum": 123,
        "maximum": 123,
        "maxItems": 123,
        "readOnly": true,
        "writeOnly": true,
        "examples": [
          {}
        ],
        "anyOf": "<array>",
        "isImplied": true,
        "isSensitive": true,
        "referenceCollectionPath": "<string>",
        "referenceCollectionUri": "<string>"
      },
      "getCredentialsFromConnectionParameters": {
        "type": "mapping"
      },
      "refreshCredentials": {
        "type": "mapping"
      },
      "makeApiClient": {
        "type": "mapping"
      },
      "getOAuthConfig": {
        "type": "mapping"
      },
      "getTokenData": {
        "type": "mapping"
      },
      "getCredentialsFromAccessTokenResponse": {
        "type": "mapping"
      },
      "getCredentialsFromRefreshTokenResponse": {
        "type": "mapping"
      },
      "test": {
        "type": "mapping"
      },
      "disconnect": {
        "type": "mapping"
      },
      "proxyKey": "<string>",
      "options": {}
    }
  ],
  "cursor": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer

Maximum number of items to return (1-1000)

Required range: 1 <= x <= 1000
cursor
string

Pagination cursor from a previous response

includeArchived
boolean

Response

200 - application/json
items
object[]
required
cursor
string